#include "ui/ui_helpers.lua"
#include "ui/ui_extensions.lua"

function draw()
	UiPush()
		UiButtonHoverColor(1,1,0.5,1)
		-- hide mouse
		if LastInputDevice() == UI_DEVICE_GAMEPAD then
			UiSetCursorState(UI_CURSOR_HIDE_AND_LOCK)
		end

		UiTranslate(UiCenter(), 250)
		UiAlign("center middle")

		--Title
		UiFont("bold.ttf", 48)
		UiText("loc@UI_TEXT_SPEEDOMETER_OPTIONS")

		--Draw speedometer
		UiTranslate(0, 200)
		UiPush()
			if GetBool("savegame.mod.mph") then
				UiImage("mph.png")
			else
				UiImage("kmh.png")
			end
			UiRotate(math.deg(math.sin(GetTime())-1.0))
			UiImage("needle.png")
		UiPop()
	
		--Draw buttons
		UiTranslate(0, 200)
		UiFont("regular.ttf", 26)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
		UiPush()
			UiNavGroupBegin()
			UiTranslate(-110, 0)
			if not GetBool("savegame.mod.mph") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.2)
					UiImageBox("ui/common/box-solid-6.png", 200, 40, 6, 6)
				UiPop()
			end
			if UiTextButton("loc@UI_BUTTON_METRIC_KM/H", 200, 40) then
				SetBool("savegame.mod.mph", false)
			end
			UiTranslate(220, 0)
			if GetBool("savegame.mod.mph") then
				UiPush()
					UiColor(0.5, 1, 0.5, 0.2)
					UiImageBox("ui/common/box-solid-6.png", 200, 40, 6, 6)
				UiPop()
			end
			if UiTextButton("loc@UI_BUTTON_IMPERIAL_MPH", 200, 40) then
				SetBool("savegame.mod.mph", true)
			end
			UiNavGroupEnd()
		UiPop()

		UiTranslate(-1, 100)
		if UiTextButton("loc@UI_BUTTON_CLOSE", 200, 40) then
			Menu()
		end
	UiPop()
end

